Subject: Re: linux-next: manual merge of the akpm tree with the net-next tree

From: Andrew Morton <[email-masked]>
Date: Tue, 21 May 2013 13:04:38 -0700

On Tue, 21 May 2013 14:29:48 +1000 Stephen Rothwell <[email-masked]> wrote:

> Hi Andrew,
> 
> Today's linux-next merge of the akpm tree got a conflict in
> arch/arm/net/bpf_jit_32.c between commit aafc787e41fd ("arm: bpf_jit: can
> call module_free() from any context") from the net-next tree and commit
> "bpf: add comments explaining the schedule_work() operation" from the
> akpm tree.
> 
> The former means that the latter is no longer required, so I used the
> former and can carry the fix as necessary (no action is required).

Yes, there have been a lot of conflicts in

seccomp-add-generic-code-for-jitted-seccomp-filters.patch
arm-net-bpf_jit-make-code-generation-less-dependent-on-struct-sk_filter.patch
arm-net-bpf_jit-make-code-generation-less-dependent-on-struct-sk_filter-fixup-merge-conflict.patch
arm-net-bpf_jit-add-support-for-jitted-seccomp-filters.patch

recently and I'm presently seeing a compilation error.

Nicolas, I think the patches need a re-check so I'll drop the versions
which I presently have.  Please refresh, retest and resend when
convenient?  It'll need to be against linux-next, which is where the
conflicting (vfree/module_free) changes have occurred.